<?php
/**
 * @file
 *
 *
 *
 * @author Kálmán Hosszu - hosszu.kalman@gmail.com - http://www.kalman-hosszu.com
 */

/**
 * Build multiquote_settings_page form.
 *
 * @param array $form_state
 * @return array The created form.
 */
function multiquote_settings_page($form_state) {
  $form = array();

  /* == JS messages == */
  $form['multiquote_check_link'] = array(
    '#type' => 'textfield',
    '#title' => t('Check link text'),
    '#default_value' => variable_get('multiquote_check_link', 'flag as multiquote'),
    '#description' => t('This string is translatable.'),
  );

  $form['multiquote_uncheck_link'] = array(
    '#type' => 'textfield',
    '#title' => t('Uncheck link text'),
    '#default_value' => variable_get('multiquote_uncheck_link', 'unflag as multiquote'),
    '#description' => t('This string is translatable.'),
  );

  $form['multiquote_delete_link'] = array(
    '#type' => 'textfield',
    '#title' => t('Delete all link text'),
    '#default_value' => variable_get('multiquote_delete_link', 'delete all multiquote'),
    '#description' => t('This string is translatable.'),
  );

  /* == Non JS messages == */
  $form['nojs'] = array(
    '#type' => 'fieldset',
    '#title' => t('Non JS messages'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['nojs']['multiquote_added_message'] = array(
    '#type' => 'textfield',
    '#title' => t('Added message'),
    '#default_value' => variable_get('multiquote_added_message', 'The comment has been added to multiquote.'),
    '#description' => t('This string is translatable.'),
  );

  $form['nojs']['multiquote_deleted_message'] = array(
    '#type' => 'textfield',
    '#title' => t('Deleted message'),
    '#default_value' => variable_get('multiquote_deleted_message', 'The comment has been deleted from multiquote.'),
    '#description' => t('This string is translatable.'),
  );

  $form['nojs']['multiquote_all_deleted_message'] = array(
    '#type' => 'textfield',
    '#title' => t('Clear message'),
    '#default_value' => variable_get('multiquote_all_deleted_message', 'All of the flagged comments are deleted.'),
    '#description' => t('This string is translatable.'),
  );

  // Store to system variables
  return system_settings_form($form);
}