<?php
/**
 * @file
 *
 *
 *
 * @author Kálmán Hosszu - hosszu.kalman@gmail.com - http://www.kalman-hosszu.com
 */

/**
 * Menu callback for multiquote/add/%
 *
 * @param int $cid
 *   The comment ID.
 */
function multiquote_add_page($cid) {
  // Add
  multiquote_add($cid);

  // If js callback, return with JSON string
  if ($_GET['js']) {
    $comment = multiquote_get_user_stored_comments(NULL, $cid);
    $param = array(
      'success' => TRUE,
      'linktext' => t(variable_get('multiquote_uncheck_link', 'unflag as multiquote')),
      'linkurl' => url('multiquote/delete/' . $cid),
      'comment' => array(
        'cid' => key($comment),
        'value' => current($comment),
      ),
      'event' => 'add',
    );

    drupal_json($param);
  }
  else {
    // Write defined message and redirect to destination
    drupal_set_message(t(variable_get('multiquote_added_message', 'The comment has been added to multiquote.')));
    drupal_goto();
  }
}

/**
 * Menu callback for multiquote/delete/%
 *
 * @param int $cid
 *   The comment ID.
 */
function multiquote_delete_page($cid) {
  // Delete
  multiquote_delete($cid);

  // If js callback, return with JSON string
  if ($_GET['js']) {
    $param = array(
      'success' => TRUE,
      'linktext' => t(variable_get('multiquote_check_link', 'flag as multiquote')),
      'linkurl' => url('multiquote/add/' . $cid),
      'comment' => array(
        'cid' => $cid,
      ),
      'event' => 'delete',
    );

    drupal_json($param);
  }
  else {
    // Write defined message and redirect to destination
    drupal_set_message(t(variable_get('multiquote_deleted_message', 'The comment has been deleted from multiquote.')));
    drupal_goto();
  }
}

/**
 * Menu callback for multiquote/delete-all
 *
 * @param int $cid
 *   The comment ID.
 */
function multiquote_delete_all_page($cid) {
  // Clear user's database
  multiquote_delete_all();

  // Write defined message and redirect to destination
  drupal_set_message(t(variable_get('multiquote_all_deleted_message', 'All of the flagged comments are deleted.')));
  drupal_goto();
}