
Drupal.behaviors.multiquote = function(context) {
  // Check click event
  $('a.multiquote', context).click(function() {

    // Store element
    var element = $(this);

    // Double clicking
    if (element.hasClass('multiquote-load')) {
      return false;
    }

    // Add load animation
    element.addClass('multiquote-load');

    $.ajax({
      type: 'GET',
      url: element.attr('href'),
      data: {js: true},
      dataType: 'json',
      success: function (data) {
        // Create url and link text from the result
        element.html(data.linktext).attr('href', data.linkurl);
        element.removeClass('multiquote-load');

        if (data.event == 'add') {
          Drupal.settings.multiquote[data.comment.cid] = data.comment.value;
        }

        if (data.event == 'delete') {
          delete Drupal.settings.multiquote[data.comment.cid];
        }
      },
      error: function (xmlhttp) {
        alert('An HTTP error '+ xmlhttp.status +' occurred.\n'+ element.attr('href'));
        element.removeClass('multiquote-load');
      }
    });

    return false;
  });
}