// $Id $
(function() {
  tinymce.create('tinymce.plugins.multiquotePlugin', {
    /**
     * Initialize the plugin, executed after the plugin has been created.
     *
     * This call is done before the editor instance has finished it's
     * initialization so use the onInit event of the editor instance to
     * intercept that event.
     *
     * @param ed
     *   The tinymce.Editor instance the plugin is initialized in.
     * @param url
     *   The absolute URL of the plugin location.
     */
    init : function(ed, url) {
      // Register the multiquote execCommand.
      ed.addCommand('multiquote', function() {
        var content = '';

        // Fill the content variable with blockquote elements.
        for (var i in Drupal.settings.multiquote) {
          content += '<blockquote>' + Drupal.settings.multiquote[i] + '</blockquote>';
        }

        ed.selection.setContent(ed.selection.getContent() + content);
			});

      // Register button.
      ed.addButton('multiquote', {
        title : 'Multiquote',
        cmd : 'multiquote',
        image : url + '/img/icon.png'
      });
    },

    /**
     * Return information about the plugin as a name/value array.
     */
    getInfo : function() {
      return {
        longname : 'Multiquote plugin',
        author : 'Kalman Hosszu',
        authorurl : 'http://www.kalman-hosszu.com',
        version : "1.0"
      };
    }
  });

  // Register plugin.
  tinymce.PluginManager.add('multiquote', tinymce.plugins.multiquotePlugin);
})();

